Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class StringPropertyId

    java.lang.Object
      |
      +--com.thaiopensource.util.PropertyId
            |
            +--com.thaiopensource.validate.StringPropertyId

public class StringPropertyId
extends PropertyId

A PropertyId whose value is constrained to be an instance of String.

See Also:
  `String`

Constructor Summary
`StringPropertyId(String name)`

Method Summary
`String` | `get(PropertyMap properties)` Returns the value of the property.
`String` | `put(PropertyMapBuilder builder, String value)` Sets the value of the property.

Methods inherited from class com.thaiopensource.util.PropertyId
`equals, getValueClass, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringPropertyId

    public StringPropertyId(String name)

Method Detail

### get

    public String get(PropertyMap properties)

  Returns the value of the property. This is a typesafe version of `PropertyMap.get`.

  Parameters:
    `properties` - the PropertyMap to be used
  Returns:
    the String to which the PropertyMap maps this PropertyId, or `null` if this PropertyId is not in the PropertyMap
  See Also:
    `PropertyMap.get(com.thaiopensource.util.PropertyId)`

### put

    public String put(PropertyMapBuilder builder,
                      String value)

  Sets the value of the property. Modifies the PropertyMapBuilder so that this PropertyId is mapped to the specified value. This is a typesafe version of PropertyMapBuilder.put.

  Parameters:
    `builder` - the PropertyMapBuilder to be modified
    `value` - the String to which this PropertyId is to be mapped
  Returns:
    the String to which this PropertyId was mapped before, or `null` if it was not mapped
  See Also:
    `PropertyMapBuilder.put(com.thaiopensource.util.PropertyId, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD